package org.rcisoft.business.cmsApplication.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.apache.poi.hpsf.Decimal;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Created with cy on 2024年3月25日 下午1:42:40.
 *
 * @author llp
 */
@Data
@TableName("cms_application")
public class CmsApplication extends CyIdIncreEntity<CmsApplication> {

    /**
     * @desc 创建人
     * @column create_by
     * @default
     */
    @Excel(name = "创建人")
    @TableField("create_by")
    private String createBy;

    /**
     * @desc 创建时间
     * @column create_date
     * @default
     */
    @Excel(name = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField("create_date")
    private Date createDate;
    /**
     * @desc 更新人
     * @column update_by
     * @default
     */
    @Excel(name = "更新人")
    @TableField("update_by")
    private String updateBy;

    /**
     * @desc 更新时间
     * @column update_date
     * @default
     */
    @Excel(name = "更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField("update_date")
    private Date updateDate;

    /**
     * @desc 启动状态（0禁用、1启动）
     * @column flag
     * @default
     */
    @Excel(name = "启动状态（0禁用、1启动）")
    @TableField("flag")
    private String flag;

    /**
     * @desc 删除标志（0删除，1已删除）
     * @column del_flag
     * @default
     */
    @Excel(name = "删除标志（0删除，1已删除）")
    @TableField("del_flag")
    private String delFlag;

    /**
     * @desc 用户id
     * @column user_id
     * @default
     */
    @Excel(name = "用户id")
    @TableField("user_id")
    private Integer userId;

    /**
     * @desc 活动id
     * @column activity_id
     * @default
     */
    @Excel(name = "活动id")
    @TableField("activity_id")
    private Integer activityId;

    /**
     * @desc 用户姓名
     * @column name
     * @default
     */
    @Excel(name = "用户姓名")
    @TableField("name")
    private String  name;

    /**
     * @desc 用户手机号码
     * @column phone
     * @default
     */
    @Excel(name = "用户手机号码")
    @TableField("phone")
    private String phone;

    /**
     * @desc 报名状态（1报名、2取消报名、3已退费）
     * @column status
     * @default
     */
    @Excel(name = "报名状态（1报名、2取消报名、3已退费）")
    @TableField("status")
    private String status;

    /**
     * @desc 用户所交费用
     * @column application_fee
     * @default
     */
    @Excel(name = "用户所交费用")
    @TableField("application_fee")
    private BigDecimal applicationFee;

    /**
     * @desc 备注
     * @column remarks
     * @default
     */
    @JsonIgnore
    @Excel(name = "备注")
    @TableField("remarks")
    private String remarks;



}


